> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tread.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk Update Jobs

> Bulk update multiple `Jobs` with attributes defined in `data` asynchronously.

This endpoint requires the `edit_job` permission.

Bulk Updatable attributes: `notes`



## OpenAPI

````yaml /api-reference/openapi.json patch /v1/jobs/bulk_update
openapi: 3.0.3
info:
  title: Horizon API V1
  version: '1.0'
  contact:
    name: Tread
    url: https://tread.io
    email: developers@tread.io
  description: >-
    This is the Version 1 implementation.


    When in doubt we default to the practices outlined
    [here](https://www.vinaysahni.com/best-practices-for-a-pragmatic-restful-api#advanced-queries)
  license:
    name: Private
    url: https://tread.io
servers:
  - description: production
    url: https://api.tread-horizon.com
security:
  - bearerAuth: []
tags:
  - name: Projects
  - name: Orders
  - name: Loads
  - name: Jobs
  - name: JobAssignments
  - name: ApprovalAssignments
  - name: Equipment
  - name: FuelSurcharges
  - name: Materials
  - name: Accounts
  - name: Tickets
  - name: Users
  - name: Sites
  - name: Companies
  - name: Departments
  - name: Rates
  - name: Services
  - name: EquipmentType
  - name: FileAttachments
  - name: MaterialType
  - name: LineItemType
  - name: DriverStateEvent
  - name: Authentication
  - name: IamRoles
  - name: Typeaheads
  - name: Integrations
  - name: Reflection
  - name: LoadCycles
  - name: AddOns
  - name: ServiceClass
  - name: Invoices
  - name: JobSummaries
  - name: LoadSummaries
  - name: CompanyShares
  - name: UserDevicePermission
  - name: Drivers
  - name: Settlements
  - name: LocationHistories
  - name: Telematics
  - name: OmniReports
  - name: DriverDays
  - name: Agave
  - name: AddOnCharges
  - name: ResourceUsageLogs
  - name: ResourceScopes
  - name: TravelledDistances
  - name: MaterialRates
  - name: CompanyDayJobStats
  - name: KMLFiles
  - name: AutoAddOnAssignments
  - name: SiteRateSchedules
  - name: TwilioIntegrations
  - name: Foremen
  - name: AccountExternalTruckIdentifier
  - name: GeofenceTriggers
  - name: Labels
  - name: Compliance
  - name: ComplianceDocuments
paths:
  /v1/jobs/bulk_update:
    parameters:
      - $ref: '#/components/parameters/Accept-Language'
    patch:
      tags:
        - Jobs
      summary: Bulk Update Jobs
      description: >-
        Bulk update multiple `Jobs` with attributes defined in `data`
        asynchronously.


        This endpoint requires the `edit_job` permission.


        Bulk Updatable attributes: `notes`
      operationId: patch-v1-jobs-bulk_update
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Job-Bulk-Update'
              type: object
      responses:
        '202':
          description: Accepted
          content:
            application/json:
              schema:
                type: object
                properties: {}
        '401':
          $ref: '#/components/responses/UnauthenticatedError'
        '403':
          $ref: '#/components/responses/Error'
        '406':
          $ref: '#/components/responses/Error'
        '415':
          $ref: '#/components/responses/Error'
components:
  parameters:
    Accept-Language:
      name: Accept-Language
      in: header
      schema:
        type: string
        default: en
        example: en
      description: >-
        The Accept-Language request HTTP header indicates the natural language
        and locale that the client prefers. 
  schemas:
    Job-Bulk-Update:
      title: Job-Bulk-Update
      x-stoplight:
        id: nnjtokwcme5ku
      type: object
      required:
        - job_ids
        - data
      properties:
        job_ids:
          type: array
          x-stoplight:
            id: 4vrf1qqhp1fkd
          items:
            x-stoplight:
              id: 69olomv22fnru
            type: string
            format: uuid
        data:
          type: object
          x-stoplight:
            id: oijj2htdfmr0w
          properties:
            notes:
              type: string
              x-stoplight:
                id: 8fdbywjj9rpp5
              nullable: true
            job_start_at:
              type: string
              x-stoplight:
                id: s9dpcap2nsdyf
              format: date-time
            requested_loads_count:
              type: integer
              x-stoplight:
                id: pst2nkbxfncnj
              minimum: 1
              maximum: 25
              deprecated: true
              description: >-
                Deprecated in favor of `quantity` and `unit_of_measure`. When
                `unit_of_measure` is `Load`, then `quantity` is the number of
                loads, otherwise it is `1`.
            requested_equipment_type_name:
              type: string
              x-stoplight:
                id: avf2t453nzc7s
              nullable: true
            load:
              $ref: '#/components/schemas/Load-Bulk-Update'
            material_id:
              type: string
              x-stoplight:
                id: 4z4q6if3fyfr7
              format: uuid
              nullable: true
            equipment_type_gross_capacity:
              type: number
              x-stoplight:
                id: dy88of9umhk3n
              nullable: true
            foreman_ids:
              type: array
              x-stoplight:
                id: fel777aickanf
              items:
                x-stoplight:
                  id: w060vr7l2q1cc
                type: string
                format: uuid
            collaborator_ids:
              type: array
              x-stoplight:
                id: ael777aickanf
              items:
                x-stoplight:
                  id: a060vr7l2q1cc
                type: string
                format: uuid
            salesperson_ids:
              type: array
              x-stoplight:
                id: ael666aickanf
              items:
                x-stoplight:
                  id: b070vr7l2q1cc
                type: string
                format: uuid
            waypoints:
              type: array
              x-stoplight:
                id: l64t37zmobu4z
              items:
                $ref: '#/components/schemas/Waypoint-Create'
            unit_of_measure:
              $ref: '#/components/schemas/NullableOrderUnitOfMeasure'
            driver_rate_value:
              type: number
              x-stoplight:
                id: kddo8lphev52v
              nullable: true
            driver_rate_type:
              $ref: '#/components/schemas/NullableRateType'
            vendor_rate_value:
              type: number
              x-stoplight:
                id: y9w37xiec2fkg
              nullable: true
            vendor_rate_type:
              $ref: '#/components/schemas/NullableRateType'
            recurring_loads:
              type: boolean
              x-stoplight:
                id: cagd8b56p9hyd
            quantity:
              type: number
              x-stoplight:
                id: qqk7byc0rknf2
              nullable: true
      additionalProperties: false
    Load-Bulk-Update:
      title: Load-Bulk-Update
      x-stoplight:
        id: ev2z46a0jpk58
      type: object
      properties:
        quantity:
          type: number
          x-stoplight:
            id: atqlrjh0t3mmr
      additionalProperties: false
    Waypoint-Create:
      title: Waypoint-Create
      x-stoplight:
        id: lkkjczl49mn3l
      type: object
      required:
        - type
        - site_id
        - ordinality
      properties:
        type:
          $ref: '#/components/schemas/WaypointType'
        site_id:
          type: string
          x-stoplight:
            id: qlodrw03gom0x
          format: uuid
        contact:
          $ref: '#/components/schemas/Contact-Create'
        ordinality:
          type: integer
          x-stoplight:
            id: bfpbu9vyhtn9a
      additionalProperties: false
    NullableOrderUnitOfMeasure:
      title: NullableOrderUnitOfMeasure
      x-stoplight:
        id: rtlna368z495u
      allOf:
        - $ref: '#/components/schemas/OrderUnitOfMeasure'
      type: string
      nullable: true
    NullableRateType:
      title: NullableRateType
      x-stoplight:
        id: rajiobym5ovlp
      allOf:
        - $ref: '#/components/schemas/RateType'
      nullable: true
      type: string
    UnauthenticatedError-Response:
      title: UnauthenticatedError-Response
      x-stoplight:
        id: o477eph7ttbzt
      type: object
      required:
        - error
      properties:
        error:
          $ref: '#/components/schemas/UnauthenticatedError'
      additionalProperties: false
    Error-Response:
      title: Error-Response
      x-stoplight:
        id: 52cydhphee3qe
      type: object
      required:
        - error
      properties:
        error:
          $ref: '#/components/schemas/Error'
      additionalProperties: false
    WaypointType:
      title: WaypointType
      x-stoplight:
        id: a8567v0zl3pi3
      enum:
        - pickup
        - drop_off
        - weigh_point
      example: pickup
    Contact-Create:
      title: Contact-Create
      x-stoplight:
        id: dhro09gmoiqgw
      type: object
      properties:
        name:
          type: string
          x-stoplight:
            id: ehb4vhlggledw
        email:
          type: string
          x-stoplight:
            id: kxjggao5fm38r
        phone:
          type: string
          x-stoplight:
            id: 3dxv517oimpb1
          example: '+18885551234'
          description: Contact's E.164 formatted phone number
      additionalProperties: false
    OrderUnitOfMeasure:
      title: OrderUnitOfMeasure
      x-stoplight:
        id: kahcgn7w8swdv
      enum:
        - Load
        - Tonne
        - Ton
        - Yard
        - Meter
        - Foot
        - Liter
        - Hour
        - Bushel
        - Gallon
        - CubicMeter
        - Mile
        - Kilometer
        - Barrel
        - Bag
        - Pallet
      example: Load
    RateType:
      title: RateType
      x-stoplight:
        id: zn2jb7gsifkk3
      enum:
        - RatePerHour
        - RatePerDay
        - RatePerLoad
        - RatePerTon
        - RatePerTonne
        - RatePerYard
        - RatePerBushel
        - RateCommission
        - RateFlatCommission
        - RateFlatRate
      example: RatePerHour
    UnauthenticatedError:
      title: UnauthenticatedError
      x-stoplight:
        id: 202o69l0fs40h
      allOf:
        - $ref: '#/components/schemas/Error'
        - type: object
          x-stoplight:
            id: tg10dt7s0l6bw
          properties:
            error_type:
              type: string
              x-stoplight:
                id: wvq8c0qsym4hz
          required:
            - error_type
    Error:
      title: Error
      x-stoplight:
        id: 3g57kkik3l464
      type: object
      description: An Error.
      required:
        - code
      properties:
        code:
          type: string
          x-stoplight:
            id: 7o9x1t8v0bgfo
      additionalProperties: false
  responses:
    UnauthenticatedError:
      description: Example response
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/UnauthenticatedError-Response'
            type: object
    Error:
      description: Error response
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error-Response'
            type: object
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````